OpenAPI SpecificationJSON
API Reference

Membership

Membership represents a relation between user, organization (besides its primary organization) and queues. It provides a way how users can work with multiple organizations within the same organization group. Using memberships one can query the resources from a different organization the same way how one would do in their own organization. To do so, a membership shall be created first, then a membership token shall be generated. Such token then can be used in any subsequent calls made to the target organization.

Direct access to the API requires you to login using Rossum credentials. User must have organization_group_admin role (this user role is available only on demand since it is a priced add-on).

Membership

Attribute
Type
Description
id*
read-only
integer

ID of the membership

url*
read-only
URL

URL of the membership

user*
URL

User URL.

organization*
URL

Organization URL.

queues*
list[URL]

URLs of queues user has access to

expires_at*
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

List memberships

GET api / v1 / organization_groups / {organizationGroupID} / memberships

Retrieve all membership objects.

GET
/api/v1/organization_groups/{organizationGroupID}/memberships
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/memberships"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 3,
      "url": "https://example.rossum.app/api/v1/organization_groups/1/memberships/3",
      "user": "https://example.rossum.app/api/v1/organization_groups/1/users/4",
      "organization": "https://example.rossum.app/api/v1/organization_groups/1/organizations/5",
      "queues": [
        "https://example.rossum.app/api/v1/organization_groups/1/queues/3",
        "https://example.rossum.app/api/v1/organization_groups/1/queues/4"
      ],
      "expires_at": null
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
id*
read-only
integer

ID of the membership

url*
read-only
URL

URL of the membership

user*
URL

User URL.

organization*
URL

Organization URL.

queues*
list[URL]

URLs of queues user has access to

expires_at*
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create membership

POST api / v1 / organization_groups / {organizationGroupID} / memberships

Create a membership object.

POST
/api/v1/organization_groups/{organizationGroupID}/memberships
curl -X POST "https://example.rossum.app/api/v1/organization_groups/0/memberships" \  -H "Content-Type: application/json" \  -d '{    "user": "https://example.rossum.app/api/v1/organization_groups/1/users/4",    "organization": "https://example.rossum.app/api/v1/organization_groups/1/organizations/5"  }'
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/organization_groups/1/memberships/3",
  "user": "https://example.rossum.app/api/v1/organization_groups/1/users/4",
  "organization": "https://example.rossum.app/api/v1/organization_groups/1/organizations/5",
  "queues": [
    "https://example.rossum.app/api/v1/organization_groups/1/queues/3",
    "https://example.rossum.app/api/v1/organization_groups/1/queues/4"
  ],
  "expires_at": null
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
user*
URL

User URL.

organization*
URL

Organization URL.

queues
list[URL]

URLs of queues user has access to

expires_at
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

Response

201Created

Created

Attribute
Type
Description
id*
read-only
integer

ID of the membership

url*
read-only
URL

URL of the membership

user*
URL

User URL.

organization*
URL

Organization URL.

queues*
list[URL]

URLs of queues user has access to

expires_at*
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve membership

GET api / v1 / organization_groups / {organizationGroupID} / memberships / {membershipID}

Get a membership object.

GET
/api/v1/organization_groups/{organizationGroupID}/memberships/{membershipID}
curl -X GET "https://example.rossum.app/api/v1/organization_groups/0/memberships/0"
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/organization_groups/1/memberships/3",
  "user": "https://example.rossum.app/api/v1/organization_groups/1/users/4",
  "organization": "https://example.rossum.app/api/v1/organization_groups/1/organizations/5",
  "queues": [
    "https://example.rossum.app/api/v1/organization_groups/1/queues/3",
    "https://example.rossum.app/api/v1/organization_groups/1/queues/4"
  ],
  "expires_at": null
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the membership

url*
read-only
URL

URL of the membership

user*
URL

User URL.

organization*
URL

Organization URL.

queues*
list[URL]

URLs of queues user has access to

expires_at*
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update membership

PATCH api / v1 / organization_groups / {organizationGroupID} / memberships / {membershipID}

Update a part of membership object.

PATCH
/api/v1/organization_groups/{organizationGroupID}/memberships/{membershipID}
curl -X PATCH "https://example.rossum.app/api/v1/organization_groups/0/memberships/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/organization_groups/1/memberships/3",
  "user": "https://example.rossum.app/api/v1/organization_groups/1/users/4",
  "organization": "https://example.rossum.app/api/v1/organization_groups/1/organizations/5",
  "queues": [
    "https://example.rossum.app/api/v1/organization_groups/1/queues/3",
    "https://example.rossum.app/api/v1/organization_groups/1/queues/4"
  ],
  "expires_at": null
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
user
URL

User URL.

organization
URL

Organization URL.

queues
list[URL]

URLs of queues user has access to

expires_at
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the membership

url*
read-only
URL

URL of the membership

user*
URL

User URL.

organization*
URL

Organization URL.

queues*
list[URL]

URLs of queues user has access to

expires_at*
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Delete membership

DELETE api / v1 / organization_groups / {organizationGroupID} / memberships / {membershipID}

Delete a membership object.

DELETE
/api/v1/organization_groups/{organizationGroupID}/memberships/{membershipID}
curl -X DELETE "https://example.rossum.app/api/v1/organization_groups/0/memberships/0"
Empty
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

204No Content

No Content

No response body.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update membership

PUT api / v1 / organization_groups / {organizationGroupID} / memberships / {membershipID}

Update a membership object.

PUT
/api/v1/organization_groups/{organizationGroupID}/memberships/{membershipID}
curl -X PUT "https://example.rossum.app/api/v1/organization_groups/0/memberships/0" \  -H "Content-Type: application/json" \  -d '{    "user": "https://example.rossum.app/api/v1/organization_groups/1/users/4",    "organization": "https://example.rossum.app/api/v1/organization_groups/1/organizations/5"  }'
{
  "id": 3,
  "url": "https://example.rossum.app/api/v1/organization_groups/1/memberships/3",
  "user": "https://example.rossum.app/api/v1/organization_groups/1/users/4",
  "organization": "https://example.rossum.app/api/v1/organization_groups/1/organizations/5",
  "queues": [
    "https://example.rossum.app/api/v1/organization_groups/1/queues/3",
    "https://example.rossum.app/api/v1/organization_groups/1/queues/4"
  ],
  "expires_at": null
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
user*
URL

User URL.

organization*
URL

Organization URL.

queues
list[URL]

URLs of queues user has access to

expires_at
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the membership

url*
read-only
URL

URL of the membership

user*
URL

User URL.

organization*
URL

Organization URL.

queues*
list[URL]

URLs of queues user has access to

expires_at*
datetime

Timestamp of membership expiration. Membership won't expire if no expiration is set.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error